package nsdb;

/** stream-based skeleton class */

import org.omg.PortableServer.POA;
public class FeatureLocationPOATie
	extends FeatureLocationPOA
{
	private FeatureLocationOperations _delegate;

	private POA _poa;
	public FeatureLocationPOATie(FeatureLocationOperations delegate)
	{
		_delegate = delegate;
	}
	public FeatureLocationPOATie(FeatureLocationOperations delegate, POA poa)
	{
		_delegate = delegate;
		_poa = poa;
	}
	public nsdb.FeatureLocation _this()
	{
		return nsdb.FeatureLocationHelper.narrow(_this_object());
	}
	public nsdb.FeatureLocation _this(org.omg.CORBA.ORB orb)
	{
		return nsdb.FeatureLocationHelper.narrow(_this_object(orb));
	}
	public FeatureLocationOperations _delegate()
	{
		return _delegate;
	}
	public void _delegate(FeatureLocationOperations delegate)
	{
		_delegate = delegate;
	}
	public java.lang.String getLocationString()
	{
		return _delegate.getLocationString();
	}

	public nsdb.LocationPackage.LocationNode_u[] getNodes()
	{
		return _delegate.getNodes();
	}

	public nsdb.NucFeature getNucFeature()
	{
		return _delegate.getNucFeature();
	}

	public java.lang.String getSeq() throws nsdb.InexactLocation
	{
		return _delegate.getSeq();
	}

}
